Page MenuHomeFreeBSD

hyperv/storvsc: Enable TRIM support for Win2012R2
ClosedPublic

Authored by honzhan_microsoft.com on Aug 3 2016, 5:05 AM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, May 2, 10:34 PM
Unknown Object (File)
Apr 15 2024, 11:56 PM
Unknown Object (File)
Apr 12 2024, 1:06 PM
Unknown Object (File)
Apr 10 2024, 7:49 PM
Unknown Object (File)
Apr 2 2024, 1:38 AM
Unknown Object (File)
Mar 19 2024, 3:21 AM
Unknown Object (File)
Mar 19 2024, 3:07 AM
Unknown Object (File)
Feb 10 2024, 2:32 PM

Details

Summary

On win8 and win2012 the inquiry response indicates the device is SPC-2, but in fact it is SPC-3.
This is a host issue and has fixed on win2016. FreeBSD VM has to manually set SCSI version to SPC-3 to support TRIM.

Submitted by: Hongjiang Zhang <honzhan microsoft com>

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

honzhan_microsoft.com retitled this revision from to hyperv/storvsc: Enable TRIM support for Win2012R2.
honzhan_microsoft.com updated this object.
sepherosa_gmail.com edited edge metadata.

Fix the comment. Rest looks fine.

sys/dev/hyperv/storvsc/hv_storvsc_drv_freebsd.c
2162 ↗(On Diff #18989)

UNMAP?

This revision is now accepted and ready to land.Aug 3 2016, 5:27 AM
sys/dev/hyperv/storvsc/hv_storvsc_drv_freebsd.c
2162 ↗(On Diff #18989)

yes, UNMAP is the formal command.

This revision now requires review to proceed.Aug 3 2016, 5:35 AM
This revision is now accepted and ready to land.Aug 3 2016, 5:49 AM
This revision was automatically updated to reflect the committed changes.